Skip to content
Newer
Older
100644 46 lines (40 sloc) 1.7 KB
29ba251 @ivan-m Add .cabal stuff
ivan-m authored Jun 20, 2009
1 Name: haskell-updater
9a0350d @ivan-m Add URL of the wiki page for the home page
ivan-m authored Jun 21, 2009
2 Homepage: http://haskell.org/haskellwiki/Gentoo#haskell-updater
75c9e36 Bump version to 0.9.1.0
Lennart Kolmodin authored Jul 23, 2009
3 Version: 0.9.1.0
29ba251 @ivan-m Add .cabal stuff
ivan-m authored Jun 20, 2009
4 Synopsis: Rebuild Haskell dependencies in Gentoo
5 Description: haskell-updater rebuilds Haskell packages on Gentoo
6 after a GHC upgrade or a dependency upgrade.
77d4e8b @ivan-m Update description in .cabal file
ivan-m authored Nov 6, 2009
7
8 haskell-updater is written so as to use only
9 GHC's boot libraries so as to have no external
10 dependencies.
11
12 This version is for GHC-6.12 with Cabal-1.8.
29ba251 @ivan-m Add .cabal stuff
ivan-m authored Jun 20, 2009
13 Category: Distribution
14 License: GPL
15 License-file: COPYRIGHT
d89f60b @ivan-m Add Stephan Friedrichs (igel) as an Author and Copyright holder
ivan-m authored Jun 21, 2009
16 Copyright: (c) Ivan Lazar Miljenovic,
17 Lennart Kolmodin,
18 Stephan Friedrichs
19 Author: Ivan Lazar Miljenovic,
20 Lennart Kolmodin,
21 Stephan Friedrichs
29ba251 @ivan-m Add .cabal stuff
ivan-m authored Jun 20, 2009
22 Maintainer: Ivan.Miljenovic@gmail.com
23 Cabal-Version: >= 1.2
24 Build-Type: Simple
278b505 @ivan-m Add a TODO
ivan-m authored Jun 25, 2009
25 Extra-Source-Files: TODO
29ba251 @ivan-m Add .cabal stuff
ivan-m authored Jun 20, 2009
26
27 Executable haskell-updater {
28
29 Main-Is: Main.hs
30 Other-Modules: Distribution.Gentoo.GHC,
31 Distribution.Gentoo.Util,
32 Distribution.Gentoo.Packages,
559850d @ivan-m Add Paths_haskell_updater to Other-Modules in .cabal
ivan-m authored Jun 22, 2009
33 Distribution.Gentoo.PkgManager,
34 Paths_haskell_updater
29ba251 @ivan-m Add .cabal stuff
ivan-m authored Jun 20, 2009
35 Ghc-Options: -Wall
36 Ghc-Prof-Options: -auto-all
37
21c0006 @ivan-m Fix up dependency bounds in .cabal
ivan-m authored Jun 22, 2009
38 Build-Depends: base >= 3 && < 5,
86dd110 @ivan-m Update to use Cabal 1.8.
ivan-m authored Oct 21, 2009
39 Cabal >= 1.8 && < 1.9,
21c0006 @ivan-m Fix up dependency bounds in .cabal
ivan-m authored Jun 22, 2009
40 containers < 0.3,
41 filepath < 1.2,
42 directory < 1.1,
43 bytestring < 1.0,
44 process < 1.1
29ba251 @ivan-m Add .cabal stuff
ivan-m authored Jun 20, 2009
45 }
Something went wrong with that request. Please try again.